#include <stdio.h>
#include <stdlib.h>
#include "port.h"
#include "apu.h"

int main(int argc, char *argv[])
{
	int rate=44100;
	int channels=2;
	int bits=16;

	if(argc < 2 || !strcmp(argv[1],"-h") || !strcmp(argv[1],"--help") ){
	  printf("SPCPlay  -  Copyright (c) 1999 Nathan Keynes\n");
		printf("Usage: spcplay <filename>\n");
		return 0;
	}
	
	S9xInitAPU();
	if( LoadSPC(argv[1]) == FALSE ){
		printf("Error opening file: %s\n",argv[1]);
		return 1;
	}
	if( !OpenSoundDevice( rate, bits, channels ) ){
		printf("Error opening sound device\n");
		return 2;
	}
	PlaySPC();
}
