
#ifndef _PORT_H_
#define _PORT_H_

#define BOOL int
#define FALSE 0
#define TRUE 1
#define ZeroMemory(ptr, len) memset(ptr, 0, len)

typedef struct {
    unsigned char reg;
    unsigned char data;
} SSetDSP;

typedef struct {
    unsigned long length;
    SSetDSP *setdsp;
} SDSPBuffer;

typedef struct {
    unsigned long length;
    SDSPBuffer *dspbuffer;
} SDSPStream;

extern SDSPStream dspstream;
extern unsigned long curdspbuffer;

BOOL LoadDSPStream(char *fname);

extern unsigned long count[256];

#ifndef snes9x_types_defined
 #define snes9x_types_defined
 typedef unsigned char uint8;
 typedef unsigned short uint16;
 typedef unsigned long uint32;
 typedef unsigned char bool8;
 typedef signed char int8;
 typedef short int16;
 typedef int int32;
#endif

extern BOOL playing;

BOOL OpenSoundDevice (int rate, int bits, int channels);
void CloseSoundDevice();
BOOL LoadSPC(char *fname);
void PlaySPC();
void PauseSPC();
void RestoreSPC();

BOOL LoadUnknown(char *fname);

extern int g_VM;

#endif